summaryrefslogtreecommitdiff
path: root/travis/setup-mysql.sh
diff options
context:
space:
mode:
authorGerard Roche <gerardroche@users.noreply.github.com>2020-05-20 20:03:10 +0100
committerNikita Popov <nikita.ppv@gmail.com>2020-05-22 10:02:57 +0200
commitcf3d3cd86fa63a1b8e0166b683d86a1ee305576a (patch)
tree33f522546f8ffb66ccd59f2da8a3ccada4fc3db9 /travis/setup-mysql.sh
parentd1dde094f2442b11808bd77bc8b064be3792458a (diff)
downloadphp-git-cf3d3cd86fa63a1b8e0166b683d86a1ee305576a.tar.gz
Fix PostgreSQL and MySQL setup on Travis CI
Note that the PostgreSQL tests still don't work on some architectures. Closes GH-5607.
Diffstat (limited to 'travis/setup-mysql.sh')
-rwxr-xr-xtravis/setup-mysql.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/travis/setup-mysql.sh b/travis/setup-mysql.sh
index 4866f24442..1199fceb22 100755
--- a/travis/setup-mysql.sh
+++ b/travis/setup-mysql.sh
@@ -1,6 +1,4 @@
-#!/bin/bash
-if [ -n "$ARM64" ]; then
- sudo mysql -e 'CREATE USER "travis"@"localhost" IDENTIFIED BY ""'
- sudo mysql -e 'GRANT ALL PRIVILEGES ON *.* TO "travis"@"localhost"'
-fi
-mysql -e "CREATE DATABASE IF NOT EXISTS test"
+#!/bin/sh
+set -ev
+
+mysql -vvv -e "CREATE DATABASE IF NOT EXISTS test"